| array-0.2.0.0: Mutable and immutable arrays | Source code | Contents | Index

Data.Array.IO.Internals

Portability | non-portable (uses Data.Array.Base)
Stability | experimental
Maintainer | libraries@haskell.org

Description
Mutable boxed and unboxed arrays in the IO monad.
Synopsis

IOArray (IOArray)
newtype IOUArray i e = IOUArray (STUArray RealWorld i e)
castIOUArray :: IOUArray ix a -> IO (IOUArray ix b)
unsafeThawIOUArray :: Ix ix => UArray ix e -> IO (IOUArray ix e)

Documentation
IOArray (IOArray)

newtype IOUArray i e | Source

Mutable, unboxed, strict arrays in the `IO` monad. The type arguments are as follows:

- `i`: the index type of the array (should be an instance of `Ix`)
- `e`: the element type of the array. Only certain element types are supported: see Data.Array.MArray for a list of instances.

Constructors

IOUArray (STUArray RealWorld i e) |

Instances

Typeable2 IOUArray
MArray IOUArray Bool IO
MArray IOUArray Char IO
MArray IOUArray Double IO
MArray IOUArray Float IO
MArray IOUArray Int IO
MArray IOUArray Int8 IO
MArray IOUArray Int16 IO
MArray IOUArray Int32 IO
MArray IOUArray Int64 IO
MArray IOUArray Word IO
MArray IOUArray Word8 IO
MArray IOUArray Word16 IO
MArray IOUArray Word32 IO
MArray IOUArray Word64 IO
MArray IOUArray (StablePtr a) IO
MArray IOUArray (Ptr a) IO
MArray IOUArray (FunPtr a) IO
Eq (IOUArray i e)

castIOUArray :: IOUArray ix a -> IO (IOUArray ix b) | Source

Casts an `IOUArray` with one element type into one with a different element type. All the elements of the resulting array are undefined (unless you know what you're doing...).

unsafeThawIOUArray :: Ix ix => UArray ix e -> IO (IOUArray ix e) | Source

Produced by Haddock version 2.4.2